apiVersion: v1
clusters:
- cluster:
    certificate-authority-data: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUM2akNDQWRLZ0F3SUJBZ0lCQURBTkJna3Foa2lHOXcwQkFRc0ZBREFWTVJNd0VRWURWUVFERXdwcmRXSmwKY201bGRHVnpNQjRYRFRJMU1ETXhPVEE0TXpFME1Gb1hEVE0xTURNeE56QTRNelkwTUZvd0ZURVRNQkVHQTFVRQpBeE1LYTNWaVpYSnVaWFJsY3pDQ0FTSXdEUVlKS29aSWh2Y05BUUVCQlFBRGdnRVBBRENDQVFvQ2dnRUJBT0hZCm5zSlFHRW9Wdm5uOTJ3aHgva0YwNmNPQ0F6QjMvUFg3end1eDJwQXNNMXcweFQrQkhsakhLS2phY09xZENycmoKZzFlSWl0Mk9vNFFQcXp4QzdtcTcwZ1VwQSt4Z1NCUjVkUE9wUG9FSzVUdEdNSXJCd05qaG55VFpzZUxZbnh6TgpmUDdsK0R3eEh4U3FEazVrUU44WEQzR3c4dHduMkx5bm9vU1hkSjFMNy8zREUwaG1xMmxlMnpIcXVRVTRoVG10Ck9SSURkVU5EREUramJiSTJZNm1odHB2SFRQTDE0azhHcFNjREd2NVVZcnJ2cWgxeXdTcXA5WStnVEJwbi9JTnUKWEt4NFZGdG85VUFaL2JNYWhUVWt5ZnRpUTB4dTA4blVyQVBtMTlOM3NyWHp0anhVcUI4SFdwMjc1YlgxeG1vdQo4Tk0rWFhhUWhLb0NlWlUzR1BrQ0F3RUFBYU5GTUVNd0RnWURWUjBQQVFIL0JBUURBZ0trTUJJR0ExVWRFd0VCCi93UUlNQVlCQWY4Q0FRQXdIUVlEVlIwT0JCWUVGSXdvOTNINU5nVTNXOUJ3V3BDWm5ZRStKZVBnTUEwR0NTcUcKU0liM0RRRUJDd1VBQTRJQkFRQ2ZnRFhvNmR2amxrbVQ5RG5JVlpzMkUzZU5IVGx3anRsV2pIc3k4RTFjeFJ5bgptVkd6Umc0ajFZVHFxWGwwQXZ1dThJaG9mbmlickNOWEw2ei8yQ1RaQ1o0Rmg0V2VTR2owdGlpMkljbmhNUXpiClFOOFhNSmxlSFAwekJPSFVFb3ZnTmVydWt1RGJEWjc5UUtRdEt5TklFSmhuZlR4VVd6RDdhQTJGc3pZTkp4RE8KZllNNEVYRmNoQzZFb2JWQVdEMGYyVXlXbnplSENQc3hta0tnU0VRSWVQNnE1TS8xYlJ3THJrRnhTTUlCakprVgo0R1FpcmF1QVJFV1UvVXNuVnQyWWo1aTUwSitVdEMyUVlYK1dTWSt0OWRVTzlTQ0FKaU51dlVpYkZqMk5tREZSCkxJQlQ2YlpMMmtGWDZMMnh3cHZveFprbTllM0xDa0FURWlTcVhaVnMKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
    server: https://141.94.47.133:6443
  name: demo-1
- cluster:
    certificate-authority-data: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUM2akNDQWRLZ0F3SUJBZ0lCQURBTkJna3Foa2lHOXcwQkFRc0ZBREFWTVJNd0VRWURWUVFERXdwcmRXSmwKY201bGRHVnpNQjRYRFRJMU1ESXdOVEV4TXpneU5Gb1hEVE0xTURJd016RXhORE15TkZvd0ZURVRNQkVHQTFVRQpBeE1LYTNWaVpYSnVaWFJsY3pDQ0FTSXdEUVlKS29aSWh2Y05BUUVCQlFBRGdnRVBBRENDQVFvQ2dnRUJBTVExCkhqa1JEcTc0NXBwMWkvNkVDVEpyNE1sQ2JhMkxZTzdVWmtDaWNtZG1KS1NHYmttRDB1dHhWcXJMSFpkOW1HejQKSjdhQjBab0NTakNLQWxCeDJNelpCNEJ0bXlWNFJWeERES0x0NFd1elpaLzBpa0dsVFhxYWZhb2I0dkRYM0FreAp0VFJpV3R3TkFYWFF5QkRHRmticG5adnVibExUMFR1STdWdE5zUUhWRDhYTFdmYTBJT3NBNmxNaS9VTDJvVUdNClhOVlA5TFhzekdNR0VCVzJNdC9rNXZaMVlHR2dMREl4b1cvc3ZDUnR0Nlpza1g1Yjd0U0M5Z0JnNDVLSU9Sai8KalpBdEUxNnhPNEIyNmNGK2tYSlZ4Zk1xK2Fic2hOU2RqcE9KcXhaa09yVE1vNXVPditqeXo1Z2RmTFV5RS9tNQoyK3d5MlNZZ3FRVzNvZzg2NHQwQ0F3RUFBYU5GTUVNd0RnWURWUjBQQVFIL0JBUURBZ0trTUJJR0ExVWRFd0VCCi93UUlNQVlCQWY4Q0FRQXdIUVlEVlIwT0JCWUVGSmZWQ2NnTWd3Y2ljZ2krcVkwL250NTRGNkRRTUEwR0NTcUcKU0liM0RRRUJDd1VBQTRJQkFRQ0o1V1J4TlYwd3Uyb0VYYnd0bjF2MFRRUVRHUWdpUkdXd2l1UHNsdVdDUzFNSgpKamhIR2dkRVQyWndqN1hLNlZDOW9oMFZkUDZIT0c4NjBIOUJVa3NZQjlVdXhuajVXa3REb0d1d0w2bWtCa3lHCkljWU5HUVF4ZXBxWkNqRHgwMjdBVFhNZmhBdnBESm1XcDJhY1JydUN5dm9LRmxQWjhodmpVazFKanVxeVl4YnUKZytBczdIRFJsd3FYZTRVYXFrZWlocnFHbHhSTFFjaHY2ZmpyZVdFeFUxTzg1a2lxTWJMUWVSb1dpR3NZU3laawplcXlMK0tyazRLMjFVR3JjeFRKRk1IaHgzQ1JianJ4d0ViL2pJWWxXVUZnd1dhaktUREViTTNiUUIxNlJrcFNvCnhvNFhITEFrVDNnc2RyK2wrZmhZYlNUL2h1eFd2dlluaFRMQUdacnUKLS0tLS1FTkQgQ0VSVElGSUNBVEUtLS0tLQo=
    server: https://141.94.168.227:6443
  name: dev
contexts:
- context:
    cluster: demo-1
    user: oidc@demo-1
  name: demo-1
- context:
    cluster: dev
    user: oidc@dev
  name: dev
current-context: dev
kind: Config
preferences: {}
users:
- name: oidc@demo-1
  user:
    exec:
      apiVersion: client.authentication.k8s.io/v1beta1
      args:
      - oidc-login
      - get-token
      - --oidc-issuer-url=https://keycloak.undercloud.fabrique.social.gouv.fr/realms/atlas-sandbox
      - --oidc-client-id=kubernetes-demo-1
      - --oidc-extra-scope=profile
      - --oidc-extra-scope=email
      - --oidc-extra-scope=roles_in_groups
      command: kubectl
      installHint: Please install kubelogin-oidc
      interactiveMode: IfAvailable
      provideClusterInfo: false
- name: oidc@dev
  user:
    exec:
      apiVersion: client.authentication.k8s.io/v1beta1
      args:
      - oidc-login
      - get-token
      - --oidc-issuer-url=https://keycloak.undercloud.fabrique.social.gouv.fr/realms/atlas-sandbox
      - --oidc-client-id=kubernetes-dev
      - --oidc-extra-scope=profile
      - --oidc-extra-scope=email
      - --oidc-extra-scope=roles_in_groups
      command: kubectl
      installHint: Please install kubelogin-oidc
      interactiveMode: IfAvailable
      provideClusterInfo: false
